package taximod.example;

import net.mosgrom.taxi.item.BaseItem;

/**
 * The "DOMOCAST" Item implementation. This Item is added to the Player by taxiplg.example.Setup SetupPlugin. All it
 * does is teleport the Player to the Domo planet which is defined and added to the game by
 * taxiplg.example.SiteSetsLoader (in its load(...) method).
 * 
 * @author jasper
 *
 */
public class Domocast extends BaseItem {
	
	public Domocast() {
		//This simply calls the BaseItem constructor which sets the id (which for Items is also always its displayed
		//name), its description and a path to its image (what it is displayed on the player's item-pane). Paths to
		//resources like images always correspond to their path underneath the 'dat' directory with the path-element
		//separator being '/' (instead of '\' as would be natural on Windows).
		super("domocast", "Click to teleport to Domo.", "101/domocasticon");
	}

	@Override
	public void click() {
		//As basic glitchy teleport to Domo (its ZoneSetDefinition is defined in taxiplg.example.SiteSetsLoader). The
		//teleport simply (freezing the game while busy and without animation) teleports the Player to the nearest
		//instance in the galaxy of a Planet with ZoneSetDefinition with id=1010000 which is the id of the Domo
		//ZoneSetDefinition. ZoneSetDefinitions (mainly depending on their rating) can have multiple instances
		//(possibly hundreds) throughout the galaxy. In case of Domo's ZoneSetDefinition their's only one in the galaxy
		//because it has rating=5 and ensureAssignedMinimum=1 and no SetupPlugin places any further instances of it.
		app.player.teleportToNearestPlanet(1010000);
	}

}
