package taxiplg.example;

import net.mosgrom.taxi.Taxi;
import net.mosgrom.taxi.dat.sitedefinition.SiteDefinition;
import net.mosgrom.taxi.dat.sitedefinition.SiteDefinitionRepository;
import net.mosgrom.taxi.plugin.SiteDefinitionLoader;

/**
 * Defines and add the Sites in the "example" mod to the game.
 * 
 * @author jasper
 *
 */
public class SitesLoader implements SiteDefinitionLoader {

	@Override
	public void load(SiteDefinitionRepository repo, Taxi app) throws Exception {
		
		{
			//The pyramid site. 1010000 is its id, 0 means it's a purely decorative site (I might remove the need for
			//that). "101/pyramid" is the path to the pyramid image (a .png file but you don't specify the .png). These
			//resource paths are always relative to the dat folder. If your taxinaut install directory (where the
			//taxinaut.exe is) is called "taxi" then when this mod is installed the pyramid.png image will be at
			//taxi/mod/dat/101/pyramid.png. 
			SiteDefinition d = new SiteDefinition(1010000, 0, "101/pyramid");
			repo.add(d);
		}
		
		{
			//The dome site. 1010001 is its id, etc.
			SiteDefinition d = new SiteDefinition(1010001, 0, "101/dome");
			repo.add(d);			
		}
		
	}

}
